Foxit PDF Conversion SDK

Public Member Functions | List of all members
fpdfconversionsdk.Office2PDFSettingData Class Reference

## Public Member Functions
def | GetExcel_setting_data ()
| Get a setting data object that used for converting Excel format documents to PDF format documents. More...
def | GetIs_embed_font ()
| Get a boolean value which indicates whether to embed font in the converted file,Default value: false. More...
def | GetResource_folder_path ()
| Get a valid path of a folder which contains resource data files. More...
def | GetWord_setting_data ()
| Get a setting data object that used for converting Word format documents to PDF format documents. More...
def | Set (resource_folder_path, is_embed_font, word_setting_data, excel_setting_data)
| Set value. More...
def | SetExcel_setting_data (value)
| Set a setting data object that used for converting Excel format documents to PDF format documents. More...
def | SetIs_embed_font (value)
| Set a boolean value which indicates whether to embed font in the converted file,Default value: false. More...
def | SetResource_folder_path (value)
| Set a valid path of a folder which contains resource data files. More...
def | SetWord_setting_data (value)
| Set a setting data object that used for converting Word format documents to PDF format documents. More...

## Detailed Description

This class represents setting data used for converting Office(Word, Excel or PowerPoint) to PDF format file.

## Member Function Documentation

## ◆ GetExcel_setting_data()

fpdfconversionsdk.Office2PDFSettingData.GetExcel_setting_data | ( |  | ) |

Get a setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFSettingData .

Returns
  A setting data object that used for converting Excel format documents to PDF format documents.

## ◆ GetIs_embed_font()

fpdfconversionsdk.Office2PDFSettingData.GetIs_embed_font | ( |  | ) |

Get a boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

Returns
  A boolean value which indicates whether to embed font in the converted file,Default value: false.

## ◆ GetResource_folder_path()

fpdfconversionsdk.Office2PDFSettingData.GetResource_folder_path | ( |  | ) |

Get a valid path of a folder which contains resource data files.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

Returns
  A valid path of a folder which contains resource data files. This should not be an empty string.

## ◆ GetWord_setting_data()

fpdfconversionsdk.Office2PDFSettingData.GetWord_setting_data | ( |  | ) |

Get a setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFSettingData .

Returns
  A setting data object that used for converting Word format documents to PDF format documents.

## ◆ Set()

def fpdfconversionsdk.Office2PDFSettingData.Set | ( |  | resource_folder_path,
|  |  | is_embed_font,
|  |  | word_setting_data,
|  |  | excel_setting_data
| ) |  |

Set value.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## ◆ SetExcel_setting_data()

fpdfconversionsdk.Office2PDFSettingData.SetExcel_setting_data | ( |  | value | ) |

Set a setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFSettingData .

Parameters

  [in] | value | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## ◆ SetIs_embed_font()

fpdfconversionsdk.Office2PDFSettingData.SetIs_embed_font | ( |  | value | ) |

Set a boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to embed font in the converted file,Default value: false.

Returns
  None.

## ◆ SetResource_folder_path()

fpdfconversionsdk.Office2PDFSettingData.SetResource_folder_path | ( |  | value | ) |

Set a valid path of a folder which contains resource data files.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

Parameters

  [in] | value | A valid path of a folder which contains resource data files. This should not be an empty string.

Returns
  None.

## ◆ SetWord_setting_data()

fpdfconversionsdk.Office2PDFSettingData.SetWord_setting_data | ( |  | value | ) |

Set a setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFSettingData .

Parameters

  [in] | value | A setting data object that used for converting Word format documents to PDF format documents.

Returns
  None.